<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Git Cheat Sheet</title>

    <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
    <link href="style.css" type="text/css" rel="stylesheet">
</head>
<body>
    <header>
        <h1>My Website</h1>
        <nav>
            <ul>
                <li><a href="index.html">Home</a></li>
                <li><a href="about.html">About</a></li>
                <li><a href="tips.html">Tech Tips</a></li>
            </ul>
        </nav>
    </header>
    
    <main>
        <article class="tables">
            <h2>Git, HTML, and CSS Cheat Sheets</h2>
            <section id="table-git">
                <h2>Git Commands</h2>
                <table>
                    <tbody>
                    <tr><th style="width: 25%">Command</th><th style="width: 25%">Usage</th><th>Description</th></tr>
                    <tr><td><code>init</code></td><td><code>git init [options]</code></td><td>Initializes a git repository.</td></tr>
                    <tr><td><code>clone</code></td><td><code>git clone &lt;repository&gt;</code></td><td>Clones a git repository into a local directory.</td></tr>
                    <tr><td><code>add</code></td><td><code>git add &lt;files&gt;</code></td><td>Stages the specified files. You can also use * as a wildcard.</td></tr>
                    <tr><td><code>status</code></td><td><code>git status</code></td><td>Displays the current status of new, modified, staged, and unstaged files.</td></tr>
                    <tr><td><code>diff</code></td><td><code>git diff &lt;commit&gt;</code></td><td>Displays the changes between the current working tree and the specified commit..</td></tr>
                    <tr><td><code>commit</code></td><td><code>git commit [options]</code></td><td>Commits the staged files to the local repository. Use &#x2011;m to add a commit message.</td></tr>
                    <tr><td><code>push</code></td><td><code>git push [options]</code></td><td>Pushes new commits to the remote repository.</td></tr>
                    <tr><td><code>branch</code></td><td><code>git branch [name/options]</code></td><td>Lists all the branches. If -a is specified then it lists remote branches as well. If a name is specified instead then a new branch with that name will be created.</td></tr>
                    <tr><td><code>checkout</code></td><td><code>git checkout &lt;name&gt;</code></td><td>Checks out the specified branch and sets it as HEAD.</td></tr>
                    <tr><td><code>merge</code></td><td><code>git merge &lt;name&gt;</code></td><td>Merges the specified branch into the current branch and makes a new commit if there are no conflicts.</td></tr>
                    <tr><td><code>reset</code></td><td><code>git reset</code></td><td>Resets HEAD to the last commit.</td></tr>
                    <tr><td><code>tag</code></td><td><code>git tag [options]</code></td><td>Tags this commit with a human readable tag. Use -a to specify a version and -m to specify a name.</td></tr>
                    <tr><td><code>pull</code></td><td><code>git pull &lt;remote&gt;</code></td><td>Fetches from the remote repository and merges with your local one. Equivalent to <code>git fetch</code> then <code>git merge</code></td></tr>
                    </tbody>
                </table>
            </section>
            <section id="table-css">
                <h2>CSS Properties</h2>
                <table>
                    <tbody>
                    <tr><th style="width: 25%">Property</th><th style="width: 25%">Usage</th><th>Description</th></tr>
                    <tr><td><code>display</code></td><td><code>display: block | inline | flex</code></td><td>Sets the display style for an element.</td></tr>
                    <tr><td><code>background-image</code></td><td><code>background-image: url</code></td><td>Sets the background image for an element.</td></tr>
                    <tr><td><code>background-color</code></td><td><code>background-color: color</code></td><td>Sets the background color for an element.</td></tr>
                    <tr><td><code>background-attachment</code></td><td><code>background-attachment: fixed | scroll | local</code></td><td>Sets how the background should be attached to the webpage.</td></tr>
                    <tr><td><code>background-repeat</code></td><td><code>background-repeat: repeat | norepeat</code></td><td>Sets whether or not the background should repeat.</td></tr>
                    <tr><td><code>flex-direction</code></td><td><code>flex-direction: row | row-reverse | column | column-reverse</code></td><td>Sets how the elements in a flow box should order themselves.</td></tr>
                    <tr><td><code>flex-wrap</code></td><td><code>flex-wrap: nowrap | wrap | wrap-reverse</code></td><td>specifies how the flexbox should wrap elements.</td></tr>
                    <tr><td><code>flex-flow</code></td><td><code>flex-flow: &lt;flex-direction&gt; || &lt;flex-wrap&gt;</code></td><td>Shortcut to set the flex-direction and flex-wrap.</td></tr>
                    <tr><td><code>justify-content</code></td><td><code>justify-content: flex-start | flex-end | center | space-between | space-around | space-evenly</code></td><td>Sets how the content in a flexbox should justify.</td></tr>
                    <tr><td><code>align-items</code></td><td><code>align-items: flex-start | flex-end | center | baseline | stretch</code></td><td>Sets how the content in a flexbox should vertically align.</td></tr>
                    </tbody>
                </table>
            </section>
            <section id="table-html">
                <h2>HTML Tags</h2>
                <table>
                    <tbody>
                    <tr><th style="width: 30%">Tag</th><th>Description</th></tr>
                    <tr><td><code>p</code></td><td>Creates a new paragraph</td></tr>
                    <tr><td><code>img</code></td><td>Inserts an image</td></tr>
                    <tr><td><code>head</code></td><td>Area that specifies meta-data for the webpage</td></tr>
                    <tr><td><code>body</code></td><td>Area that is displayed to the user.</td></tr>
                    <tr><td><code>header</code></td><td>Header content for the webpage.</td></tr>
                    <tr><td><code>main</code></td><td>The main content of the webpage. Can include header, article, and aside elements.</td></tr>
                    <tr><td><code>article</code></td><td>Specifies an article of the webpage. Included in the main tag. Can include subsectioning elements as well, such as section, header, and aside.</td></tr>
                    <tr><td><code>aside</code></td><td>Specifies content that supports the webpage, but is not the main content.</td></tr>
                    <tr><td><code>footer</code></td><td>Specifies the footer for the webpage. Usually contains things like internal links, copyright information, and page date information.</td></tr>
                    </tbody>
                </table>
            </section>
        </article>
    </main>
    <footer>
        <hr>
        Created by Cameron Milne &#124; &copy; 2017
    </footer>
</body>
</html>